Package org.bgerp.plugin.pln.callboard.model

# Class WorkShift

java.lang.Object
org.bgerp.plugin.pln.callboard.model.WorkShift

public class WorkShift extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkShift()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate()`
  `int`
  `getGraphId()`
  `int`
  `getGroupId()`
  `int`
  `getId()`
  `int`
  `getShiftId()`
  `int`
  `getTeam()`
  `Calendar`
  `getTimeFrom(Date date)`
  `Calendar`
  `getTimeTo(Date date)`
  `int`
  `getUserId()`
  `int`
  `getWorkMinutesInDay(Date dateStart, Date inDate)`
  `int`
  `getWorkTypeTimeCount()`
  `List<WorkTypeTime>`
  `getWorkTypeTimeList()`
  `void`
  `setDate(Date date)`
  `void`
  `setGraphId(int graphId)`
  `void`
  `setGroupId(int groupId)`
  `void`
  `setId(int id)`
  `void`
  `setShiftId(int shiftId)`
  `void`
  `setTeam(int team)`
  `void`
  `setUserId(int userId)`
  `void`
  `setWorkTypeTimeList(List<WorkTypeTime> workTypeTime)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkShift

    public WorkShift()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getGraphId

    public int getGraphId()

  - ### setGraphId

    public void setGraphId(int graphId)

  - ### getTeam

    public int getTeam()

  - ### setTeam

    public void setTeam(int team)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getWorkTypeTimeList

    public List<WorkTypeTime> getWorkTypeTimeList()

  - ### setWorkTypeTimeList

    public void setWorkTypeTimeList(List<WorkTypeTime> workTypeTime)

  - ### getGroupId

    public int getGroupId()

  - ### setGroupId

    public void setGroupId(int groupId)

  - ### getWorkTypeTimeCount

    public int getWorkTypeTimeCount()

  - ### getShiftId

    public int getShiftId()

  - ### setShiftId

    public void setShiftId(int shiftId)

  - ### getWorkMinutesInDay

    public int getWorkMinutesInDay(Date dateStart, Date inDate)

  - ### getTimeFrom

    public Calendar getTimeFrom(Date date)

  - ### getTimeTo

    public Calendar getTimeTo(Date date)